summaryrefslogtreecommitdiffstats
path: root/multimedia
diff options
context:
space:
mode:
Diffstat (limited to 'multimedia')
-rw-r--r--multimedia/smpeg/README4
-rw-r--r--multimedia/smpeg/slack-desc12
-rw-r--r--multimedia/smpeg/smpeg.SlackBuild81
-rw-r--r--multimedia/smpeg/smpeg.info8
4 files changed, 105 insertions, 0 deletions
diff --git a/multimedia/smpeg/README b/multimedia/smpeg/README
new file mode 100644
index 0000000000..01f87e1454
--- /dev/null
+++ b/multimedia/smpeg/README
@@ -0,0 +1,4 @@
+SMPEG is a free MPEG1 video player library with sound support. Video playback
+is based on the ubiquitous Berkeley MPEG player, mpeg_play v2.2. Audio is
+played through a slightly modified mpegsound library, part of Splay v0.8.2.
+SMPEG supports MPEG audio (MP3), MPEG-1 video, and MPEG system streams.
diff --git a/multimedia/smpeg/slack-desc b/multimedia/smpeg/slack-desc
new file mode 100644
index 0000000000..d9e41833f1
--- /dev/null
+++ b/multimedia/smpeg/slack-desc
@@ -0,0 +1,12 @@
+ |-----handy-ruler------------------------------------------------------|
+smpeg: smpeg (SDL MPEG Player Library)
+smpeg:
+smpeg: SMPEG is a free MPEG1 video player library with sound support. Video
+smpeg: playback is based on the ubiquitous Berkeley MPEG player, mpeg_play.
+smpeg: Audio is played through a slightly modified mpegsound library, part
+smpeg: of Splay v0.8.2. SMPEG supports MPEG audio (MP3), MPEG-1 video, and
+smpeg: MPEG system streams.
+smpeg:
+smpeg:
+smpeg:
+smpeg:
diff --git a/multimedia/smpeg/smpeg.SlackBuild b/multimedia/smpeg/smpeg.SlackBuild
new file mode 100644
index 0000000000..4b714397fe
--- /dev/null
+++ b/multimedia/smpeg/smpeg.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/sh
+
+# Slackware build script for smpeg
+# Written by ppr:kut <hmwiesinger@gmx.at>
+
+# Copyright 2007 Heinz Wiesinger
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=smpeg
+VERSION=r370_20071015
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+./autogen.sh
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --disable-static
+
+make
+make install-strip DESTDIR=$PKG
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a BUGS CHANGES COPYING README README.SDL_mixer TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/multimedia/smpeg/smpeg.info b/multimedia/smpeg/smpeg.info
new file mode 100644
index 0000000000..3474b3aad6
--- /dev/null
+++ b/multimedia/smpeg/smpeg.info
@@ -0,0 +1,8 @@
+PRGNAM="smpeg"
+VERSION="r370_20071015"
+HOMEPAGE="http://icculus.org/smpeg/"
+DOWNLOAD="http://slackbuilds.org/sources/12.0/smpeg-r370_20071015.tar.bz2"
+MD5SUM="860b951f64bc2c5e214a85634435f1cf"
+MAINTAINER="ppr:kut"
+EMAIL="HMWiesinger@gmx.at"
+APPROVED="rworkman"